import { Module, PisellCore, ModuleOptions } from '../../types';
import { BaseModule } from '../BaseModule';
import { CartItem } from '../Cart/types';
import { ISummaryState, ISummaryModuleAPI } from './types';
export declare class SummaryModule extends BaseModule implements Module, ISummaryModuleAPI {
    protected defaultName: string;
    protected defaultVersion: string;
    private shopStore;
    private store;
    private request;
    private cacheId;
    private openCache;
    private fatherModule;
    constructor(name?: string, version?: string);
    initialize(core: PisellCore, options: ModuleOptions): Promise<void>;
    getSurchargeList(): Promise<void>;
    getSummary(cartItems: CartItem[]): Promise<ISummaryState['summary']>;
    /**
     * 获取协议
     * @param protocolId 协议ID
     * @returns 协议
     */
    getProtocol(protocolId: string): Promise<any>;
    storeChange(): void;
    private getTaxforUtils;
    private getSurchargeforUtils;
}
